dialog::backdrop {
    background-color: rgba(0, 0, 0, 0.5);
}

dialog {
    border: none;
    border-radius: 10px;
    width: 100vw;
    max-width: 500px;
    padding: 0;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.modal-body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    height: auto;
    gap: 18px;
    padding: 10px 10px 3px 10px;
    background: #ffffff;
}

.checkbox-group {
    margin-bottom: -12px;
}

.form-label {
    color: #0c2d5a;
    font-size: 15px;
}

.row-sel-tipo {
  display: flex;
  align-items: center;
  gap: 8px;  
  width: 100%;
  cursor: pointer;
  color: #0c2d5a;
  margin-bottom: 17px;
}

.row-sel-tipo label {
    font-size: 13px;
    margin: 0;
}

.row-sel-tipo input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    background-color: white;
    border: 2px solid #f9650282;
    width: 17px;
    height: 17px;
    border-radius: 2px;
    margin: 0;
    cursor: pointer;
    position: relative;
    outline: none;
    transition: background-color 0.2s ease-in-out, border-color 0.2s;
}

.row-sel-tipo input[type="checkbox"]:checked {
  background-color: #ff5e15;
  border-color: #ff5e15;
}

.row-sel-tipo input[type="checkbox"]:checked::after {
    content: '✓';
    color: white;
    font-size: 10px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -45%);
    font-weight: bold;
}

.two-colums {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.input-box  {
    display: flex;
    flex-direction: column;
    width: 48%;
}

.form-campo {
    width: 100%;
    height: 45px;
    border-style: none;
    background-color: #f5f5f5;
    border-radius: 10px;
    padding: 5px 8px;
    font-size: 15px;
    margin: 3px 0;
}

#whatsapp-button {
    background-color: #ff5e15;
    color: #ffffff;
    border: none;
    border-radius: 8px;
    padding: 10px 16px;
    font-size: 15px;
    font-weight: 700;
    margin-top: -30px;
    
}

.modal-body #whatsapp-button:disabled {
    cursor: not-allowed;
    opacity: 0.7;
}

/*Mensagens*/
.error {
    color: #dc2626;
    font-size: 13px;
    margin-top: 2px;
    margin-bottom: 5px;
    max-width: 500px;
}

.success {
    color: #0c2d5a;
    font-size: 13px;
    margin-top: -10px;
    max-width: 500px;
}

/* Ajuste para telas pequenas*/
@media (max-width: 600px) {
  dialog {
    width: 95vw;
    max-height: 95vh;
  }

  .modal-body {
    width: 100%;
    height: auto;
  }

  .two-colums {
    flex-direction: column;
    gap: 5px;
  }

  .input-box {
    width: 100%;
  }
}
